AVR Libc Home Page |  | AVR Libc Development Pages
Main Page | User Manual | Library Reference | FAQ | Alphabetical Index | Example Projects

# sleep.h File Reference

## Defines

#define | _AVR_SLEEP_H_ 1
#define | _SLEEP_CONTROL_REG MCUCR
Sleep Modes

Note:
  Some of these modes are not available on all devices. See the datasheet for target device for the available sleep modes.

#define | SLEEP_MODE_IDLE 0
#define | SLEEP_MODE_ADC _BV(SM0)
#define | SLEEP_MODE_PWR_DOWN _BV(SM1)
#define | SLEEP_MODE_PWR_SAVE (_BV(SM0) | _BV(SM1))
#define | SLEEP_MODE_STANDBY (_BV(SM1) | _BV(SM2))
#define | SLEEP_MODE_EXT_STANDBY (_BV(SM0) | _BV(SM1) | _BV(SM2))

## Functions

Sleep Functions
void | set_sleep_mode (uint8_t mode)
void | sleep_mode (void)
void | sleep_enable (void)
void | sleep_disable (void)
void | sleep_cpu (void)

## Detailed Description

Automatically generated by Doxygen 1.5.8 on 22 Apr 2009.